Bug 215996 - alsa snd-hda-intel hp laptops
alsa snd-hda-intel hp laptops
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-16 13:41 EST by Reuben
Modified: 2008-02-07 23:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:24:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hda-generic-hp-fix (3.89 KB, patch)
2006-11-16 13:41 EST, Reuben
no flags Details | Diff

  None (edit)
Description Reuben 2006-11-16 13:41:29 EST
Description of problem:
Headphone jack is not detected by alsa on hp laptops.
Alsa bug report and fix: https://bugtrack.alsa-project.org/alsa-bug/view.php?id=2412
The patch must be applied to 1.0.12 for headphone support on newer hp/compaq
laptops. This is fixed in 1.0.13.
Version-Release number of selected component (if applicable):
alsa version in fc6 is 1.0.12

How reproducible:
On any newer HP/Compaq laptop plug in headphones. 

Steps to Reproduce:
1.Plug in headphones
2.Start playing music
3.Listen to headphones
  
Actual results:
No sound from headphones, sound will continue to play from speakers.

Expected results:
Sound from headphones.

Additional info:
Patch is attached.
Comment 1 Reuben 2006-11-16 13:41:29 EST
Created attachment 141397 [details]
hda-generic-hp-fix
Comment 2 Reuben 2006-11-17 13:23:20 EST
Heres a thread with other users confirming the problem:
http://forum.fedoraforum.org/showthread.php?t=133882&page=1
Comment 3 Max E 2006-12-23 09:44:54 EST
Arh - fixed this one - I think on my Compaq V5214ea laptop.

I got this one off a Mephis support website, applied it to my Fedora Core 6
machine and sound SPRUNG into life.

From root:

1) update-pciids - this will update any updates to your laptop that are not
recognised from standard kernel idents.

2) aumix -q - this makes sure none of your settings for sound devices are set to
zero level.

3) Add the following file /etc/modprobe.d/snd-hda-intel 
add this line:
options snd-hda-intel position_fix=1 disable_msi=1

Save the file and wait 10 secs - if you have system-config-sound running on loop
in the background, you will suddenly find sound bursting out the speakers.

Aparently - this problem is caused by a IRQ problem - quote from Mephis page:
http://www.mepislovers.com/forums/index.php?topic=3279.msg22307;topicseen

The invalid_dep_range error is possibly related to position buffers and msi can
interfere with the irq settings.
As carlops mentioned, testing the new development kernel and alsa 1.0.13 might help.
This link mentions adding support for toshiba laptops to ALSA  kernel (the hg
version - patch hg-8781) 1.0.13
http://www.altlinux.com/index.php?module=sisyphus&package=kernel-source-alsa-1.0.13
hg is alsa development though and it may not have been merged into 1.0.13 in time. 
Comment 4 Jon Stanley 2008-01-07 20:47:20 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 5 Jon Stanley 2008-02-07 23:24:35 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.